<%@ page import="java.util.ArrayList,com.ejie.p06b.general.P06BPaginas, com.ejie.p06b.general.P06BConstantes,com.ejie.p06b.util.P06BUtil,com.ejie.p06b.datatype.model.*, com.ejie.p06b.datatype.logic.P06BDECModelos12jun2010, com.ejie.p06b.datatype.logic.P06BDECTotales12jun2010,com.ejie.p06b.util.P06BResources, com.ejie.p06b.manager.P06BGeneralManager, com.ejie.p06b.manager.P06BCorredoresManager, com.ejie.p06b.xlnet.P06BPerfilUsuario, java.text.DecimalFormat,com.ejie.p06b.general.P06BTablas" %>
<%@ taglib uri="/WEB-INF/tld/p06bTags.tld" prefix="p06b" %>
<html>
<head>
	<title><p06b:p06bResEtiquetasTag resource="titulo"/></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/p06estilos.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/portal.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/comunPortal.css" type="text/css">
	<script SRC="<%=P06BPaginas.P06B_STYLES_PATH%>/js/p06bComun.js" TYPE="text/javascript"></script>
	<%
		String pestana = request.getParameter("pestana");
		String expediente = "";
		DecimalFormat decimalFormat = new DecimalFormat("####.####");
		boolean tieneRet = (request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"DEC"+P06BConstantes.P06B_VAR_TEMP_FILTRO)==null)?false:true;
		//Si se viene desde el seguimiento solo se mostrarán las pestañas 1(parcialmente), 2.2 y 3.3.
		boolean previoAlSeguimiento = true;	
		P06BDECModelos12jun2010 objDECModelos = new P06BDECModelos12jun2010();
		if(request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"DECModelos")!=null){
			objDECModelos = (P06BDECModelos12jun2010)request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"DECModelos");
			previoAlSeguimiento = objDECModelos.isPrevioAlSeguimiento();
		}
		
		P06B32T00Datatype mod01y02 = objDECModelos.getMod01y02();
		ArrayList listaMod02Socios = objDECModelos.getListaMod02Socios();
		ArrayList listaMod02Cargos = objDECModelos.getListaMod02Cargos();
		P06B45T00Datatype obj45Mod1SedeProf = objDECModelos.getObj45Mod1SedeProf();
		ArrayList listaMod1MedPer = objDECModelos.getListaMod1MedPer();
		P06B37T00Datatype mod21 = objDECModelos.getMod21();
		ArrayList listaMod22 = objDECModelos.getListaMod22();
		P06B39T00Datatype mod23 = objDECModelos.getMod23();
		ArrayList listaObjs43Mod0EntVinc = objDECModelos.getListaObjs43Mod0EntVinc();
		ArrayList listaObjs44Mod0EntCred = objDECModelos.getListaObjs44Mod0EntCred();
		ArrayList listaObjs46Mod1Sucur = objDECModelos.getListaObjs46Mod1Sucur();
		ArrayList listaObjs47Mod21PrimPorEnt = objDECModelos.getListaObjs47Mod21PrimPorEnt();
		P06B48T00Datatype obj48Mod3InverValorAnad = objDECModelos.getObj48Mod3InverValorAnad();
		P06B53T00Datatype obj53Mod3Vinc = objDECModelos.getObj53Mod3Vinc();
		P06B49T00Datatype obj49Mod31 = objDECModelos.getObj49Mod31();
		P06B50T00Datatype obj50Mod32 = objDECModelos.getObj50Mod32();
		P06B51T00Datatype obj51Mod33Activo = objDECModelos.getObj51Mod33Activo();
		P06B52T00Datatype obj52Mod33Pasivo = objDECModelos.getObj52Mod33Pasivo();
		ArrayList listaJustifAdjuntosDEC = objDECModelos.getJustifAdjuntos();
		P06BDECTotales12jun2010 objDECTotales = objDECModelos.getObjTotales();
		
		if(mod01y02 == null)
			mod01y02 = new P06B32T00Datatype();
		if(listaMod02Socios == null)
			listaMod02Socios = new ArrayList();
		if(listaMod02Cargos == null)	
			listaMod02Cargos = new ArrayList();
		if(obj45Mod1SedeProf == null)
			obj45Mod1SedeProf = new P06B45T00Datatype();
		if(listaMod1MedPer == null)
			listaMod1MedPer = new ArrayList();
		if(mod21 == null)
			mod21 = new P06B37T00Datatype();
		if(listaMod22 == null)
			listaMod22 = new ArrayList();
		if(mod23 == null)
			mod23 = new P06B39T00Datatype();
		if(listaObjs43Mod0EntVinc == null)
			listaObjs43Mod0EntVinc = new ArrayList();
		if(listaObjs44Mod0EntCred == null)
			listaObjs44Mod0EntCred = new ArrayList();
		if(listaObjs46Mod1Sucur == null)
			listaObjs46Mod1Sucur = new ArrayList();
		if(listaObjs47Mod21PrimPorEnt == null)
			listaObjs47Mod21PrimPorEnt = new ArrayList();
		if(obj48Mod3InverValorAnad == null)
			obj48Mod3InverValorAnad = new P06B48T00Datatype();
		if(obj53Mod3Vinc == null)
			obj53Mod3Vinc = new P06B53T00Datatype();
		if(obj49Mod31 == null)
			obj49Mod31 = new P06B49T00Datatype();
		if(obj50Mod32 == null)
			obj50Mod32 = new P06B50T00Datatype();
		if(obj51Mod33Activo == null)
			obj51Mod33Activo = new P06B51T00Datatype();
		if(obj52Mod33Pasivo == null)
			obj52Mod33Pasivo = new P06B52T00Datatype();
		if(listaJustifAdjuntosDEC == null)
			listaJustifAdjuntosDEC = new ArrayList();
		if(objDECTotales == null)
			objDECTotales = new P06BDECTotales12jun2010();
			
		expediente = mod01y02.getNumExp();
		String tipoPersona = "";
	 	if (!previoAlSeguimiento){
			if (expediente.equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.J");
			}else if (expediente.equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.F");
			}else if (expediente.equals(P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.AJ");
			}else if (expediente.equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.AF");
			}else if (expediente.equals(P06BConstantes.P06B_REASEGUROS_JURIDICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.RJ");
			}else if (expediente.equals(P06BConstantes.P06B_REASEGUROS_FISICA)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.RF");
			}else if (expediente.equals(P06BConstantes.P06B_OPERADORBANCA_VINCULADO)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.OV");
			}else if (expediente.equals(P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.OE");
			}else if (expediente.equals(P06BConstantes.P06B_CORREDORES_TIPOPER_TODAS)){
				tipoPersona = ((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("pantallas.literal.claseMediador.T");
			}
		}
		
		String ejerDEC = mod01y02.getEjercicio();
		String denom = "";

		String retornoURL = ""; 
		if (!previoAlSeguimiento){
			tieneRet = true;
			retornoURL = P06BPaginas.P06B_JSP_CRITERIOEJERTC_INJSP+"?pestana="+pestana+"&ejer="+ejerDEC+"&TipoPersona="+expediente;
		}else{
			retornoURL = P06BPaginas.P06B_JSP_SERVLETDECLISTADO_INJSP;
		}
		
		//Obtener el nombre o denominacion del expediente
	 	//Si es Persona Física
	 	if (previoAlSeguimiento){
		 	if ( P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA.equals(mod01y02.getClase())
					|| P06BConstantes.P06B_AGENTEVINCULADO_FISICA.equals(mod01y02.getClase())
					|| P06BConstantes.P06B_REASEGUROS_FISICA.equals(mod01y02.getClase()) ){
						denom = ((mod01y02.getNombre()==null)?"":mod01y02.getNombre()) + " " + ((mod01y02.getApe1()==null)?"":mod01y02.getApe1()) + " " + ((mod01y02.getApe2()==null)?"":mod01y02.getApe2());
				//Si es Persona Jurídica
				}else if ( P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase())
					|| P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA.equals(mod01y02.getClase())
					|| P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase()) 
					|| P06BConstantes.P06B_OPERADORBANCA_VINCULADO.equals(mod01y02.getClase())
					|| P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO.equals(mod01y02.getClase()) ){
						denom = (mod01y02.getRazSoc()==null)?"":mod01y02.getRazSoc();
				}
	 	}
		
		//Obtener los datos del corredor que EXISTEN ACTUALMENTE EN LA INTRANET
		P06B20T00Datatype corredorIntranet = P06BCorredoresManager.getInstance().selectCorredor(expediente);
		if(corredorIntranet==null){
			 corredorIntranet = new P06B20T00Datatype();
			 corredorIntranet.setExpedi(expediente);
		}
		//Ojo con los Double, Cambio los puntos por comas
		corredorIntranet.setCapsoc(corredorIntranet.getCapsoc().replaceAll("\\.",","));
		
		//Obtener el idioma
		String idiomaUsu = null;
		P06BPerfilUsuario perfilUsuario = (P06BPerfilUsuario) request.getSession().getAttribute(P06BConstantes.P06B_VAR_PERFIL_USUARIO);
		if (perfilUsuario != null){
			idiomaUsu = perfilUsuario.getIdIdioma();
		}
		if (idiomaUsu == null || idiomaUsu.equals("") ){
			idiomaUsu = P06BConstantes.P06B_IDIOMA_ES; //"es"
		}
		
		//Si se trata de una sociedad de correduría de seguros o reaseguros jurídica (J ó RJ), tenerlo en cuenta para el nº de solapas
		boolean unaSolapaMas = false;
		if ( P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase())
			|| P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase())
			|| P06BConstantes.P06B_CORREDORES_TIPOPER_TODAS.equals(mod01y02.getClase())){
				unaSolapaMas = true;
		}
	%>
</head>	
<body>
<script type="text/javascript">
	//<!--
	var rutaCabecera = "";	//Parametro a pasar desde cada jsp que indique la ruta del mismo
	var pestana = <%=request.getParameter("pestana")%>;
	if ('<%=previoAlSeguimiento%>'=='true'){
		rutaCabecera = "";
		if('<%=tieneRet%>'=='true'){
			rutaCabecera += "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETDECBUSCAR_INJSP%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.DEC.buscar.titulo"/>'+"<\/a>";
			rutaCabecera += "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETDECLISTADO_INJSP%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.DEC.listado.titulo"/>'+"<\/a>";
		}
		rutaCabecera += "<a class='migaja' href='<%=P06BPaginas.P06B_JSP_SERVLETDECMOSTRAR_INJSP%>?Ejer=<%=ejerDEC%>&Expedi=<%=expediente%>&accion=mostrar'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.DEC.mostrar.titulo"/>'+"</a>";
	}else{
		if (pestana==0){
			rutaCabecera = "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_CRITERIOEJERTC_INJSP%>?pestana=0'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.seguimiento.estructuradelaorganizacionmediospersonales"/>'+"<\/a>";
		}else if (pestana==1){
			rutaCabecera = "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_CRITERIOEJERTC_INJSP%>?pestana=1'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.seguimiento.carterasegurosintermediadaramosnovida"/>'+"<\/a>";
		}else if (pestana==2){
			rutaCabecera = "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_CRITERIOEJERTC_INJSP%>?pestana=2'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.balance.balanceagregadoabreviado"/>'+"<\/a>";
		}
	}

	var NumSolapas=8;
	var SolapaActiva=0;
	if('<%=unaSolapaMas%>'=='true'){
		NumSolapas=9;
	}
	
	function retornar(){
		document.FormDECMostrarListado.submit();
	}
	function inicializa(){
	}
	function fActivaSolapa(num){
        SolapaActiva=num;
        for (var i=0; i<NumSolapas; i++)
		{	var strClase= (i==num)?"solapaHigh":"solapaLow";
			var strEstilo= (i==num)?"":"none";
			eval("Solapa_"+i+".className=\""+strClase+"\"");
			eval("marcadorSolapa_"+i+".className=\""+strClase+"\"");
			eval("ElemSolapa_"+i+".style.display=\""+strEstilo+"\"");
		}
		document.FormDECMostrar.numPest.value = SolapaActiva;
	}
	//-->
</script>

<div id="contenidoPagina">
<%@ include file="/p06bComunJSP/p06bCabecera.inc"%>
<p>
<%@ include file="/p06bComunJSP/p06bMenuJsp.inc"%>
<div id="cuerpo">
<!--Aqui va el cuerpo de la página -->
	<TABLE class="general" cellpadding="0" cellspacing="0">
	    <tr> 
	      <td height="20"></td>
	    </tr>
	    <tr> 
	      <td width="100%">
	      	<!-- Codigo propio pantalla -->
	      	<div class="headText">
	      		<FORM NAME="FormDECMostrarListado" METHOD="POST" action="<%=retornoURL%>">
				  	<input type="hidden" name="codigoVuelta" value="<%=ejerDEC+'@'+expediente%>">
				  	<input type="hidden" name="columnaVuelta" value="<%=P06BTablas.P06B_P06B32_EJERCICIO+'|'+'|'+'\''+'@'+'\''+'|'+'|'+P06BTablas.P06B_P06B32_NUMEXP%>">
	      		</FORM>
	      		<FORM NAME="FormDECMostrar" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETDECMOSTRAR_INJSP%>">
				  <input type="hidden" name="numPest" value="<%=(request.getParameter("numPest")==null)?"0":request.getParameter("numPest")%>"/>
				  <input type="hidden" name="accion" value=""/>		  
				  <!-- Inicio de la tabla contenidoSolapas --> 				
					<tr>
					   <td>
					  		<table class="tablaBotonera" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
									 <%if(tieneRet){%>
									 	<td width="10%">
										 	<input class="boton" type="button" name="Retornar" value="<p06b:p06bResEtiquetasTag resource="botones.retornar"/>" onclick="javascript:retornar();"/>
										</td>
									 	<td width="90%"></td>
									 <%}else{%>
									 	<td width="100%"></td>
									 <%}%>
								</tr>
							 </table> 
						</td>
					</tr>
					<tr height="20"><td></td></tr>
					<tr>
					   <td>
					  			<table class="tablaSolapas" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
								 
								 <%
								 	int solapas = 0;
								 	//Si es Persona Física
								 	if ( ( 	P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA.equals(mod01y02.getClase()) ||
								 			P06BConstantes.P06B_AGENTEVINCULADO_FISICA.equals(mod01y02.getClase()) ||
								 			P06BConstantes.P06B_REASEGUROS_FISICA.equals(mod01y02.getClase())  ) &&
								 			previoAlSeguimiento) {
									%>
										<!-- Datos Modelo 0.1 -->
										<td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo01"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo01"/>
											</a>
										 </td>
			
									<%
									solapas++;
									//Si es Persona Jurídica
									}else if (  ( P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase()) 
										|| P06BConstantes.P06B_OPERADORBANCA_VINCULADO.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO.equals(mod01y02.getClase())  ) &&
							 			previoAlSeguimiento) {
										%>
										<!-- Datos Modelo 0.2 -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo02"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo02"/>
											</a>
										 </td>
									
									<%
									solapas++;
									}
								 	%>
								 
									 <!-- Datos Modelo 1 -->
									 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
									 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo1"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo1"/>
										</a>
									 </td>
									 <%solapas++;%>
									 
									<%
									if (previoAlSeguimiento){
									%>
										 <!-- Datos Modelo 2.1 -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo21"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo21"/>
											</a>
										 </td>
										<%
										solapas++;
									}
								 	%>

									 <!-- Datos Modelo 2.2 -->
									 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
									 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo22"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo22"/>
										</a>
									 </td>
									 <%solapas++;%>
									 
									<%
									if (previoAlSeguimiento){
									%>
										 <!-- Datos Modelo 2.3 -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo23"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo23"/>
											</a>
										 </td>
										<%
										solapas++;
									}
								 	%>
									 
									 
									 <%
								 	//Si es corredor de seguros o reaseguros. Persona Física
								 	if ( (  P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA.equals(mod01y02.getClase()) ||
								 			P06BConstantes.P06B_REASEGUROS_FISICA.equals(mod01y02.getClase())  ) &&
								 			previoAlSeguimiento ){
									%>
										<!-- Datos Modelo 3.1 -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo31"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo31"/>
											</a>
										 </td>
			
									<%
									solapas++;
									//Si es correduría de seguros o reaseguros. Persona Jurídica
									}else if ( P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_CORREDORES_TIPOPER_TODAS.equals(mod01y02.getClase()) ){
									%>
										<%
										if (previoAlSeguimiento){
										%>
											<!-- Datos Modelo 3.2 -->
											 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
											 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
												<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo32"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
												 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo32"/>
												</a>
											 </td>
											<%
											solapas++;
										}
									 	%>
										 
										 <!-- Datos Modelo 3.3 -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo33"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo33"/>
											</a>
										 </td>
										<%
										solapas++;
									//Si es Vinculado
									}else if ( (  P06BConstantes.P06B_AGENTEVINCULADO_FISICA.equals(mod01y02.getClase()) ||
													P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA.equals(mod01y02.getClase()) ||
													P06BConstantes.P06B_OPERADORBANCA_VINCULADO.equals(mod01y02.getClase())  ) &&
							 			previoAlSeguimiento  ){
									%>
										<!-- Datos Modelo 3 Vinculado -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo3"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modelo3"/>
											</a>
										 </td>		
										<%
										solapas++;
									}
								 	%>
									 									 									 
									<%
									if (previoAlSeguimiento){
									%>
										 <!-- Datos Calculo Valor Añadido -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.modeloCalcValorAnad"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.modeloCalcValorAnad"/>
											</a>
										 </td>
										<%
										solapas++;
									}
								 	%>
									 
									<%
									if (previoAlSeguimiento){
									%>
										 <!-- Justificantes adjuntos -->
										 <td class="solapaResto" border="0" width="1%">&nbsp;</td>
										 <td id='Solapa_<%=solapas%>' class="solapaLow" nowrap> 
											<a id='marcadorSolapa_<%=solapas%>' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.justifAdjun"/>" onClick="fActivaSolapa(<%=solapas%>)" > 
											 <p06b:p06bResEtiquetasTag resource="pantallas.literal.justifAdjun"/>
											</a>
										 </td>
										<%
										solapas++;
									}
								 	%>
									 									 
								 	 <td class="solapaResto" border="0" width="30%">&nbsp;</td>
								</tr>
							 </table> 
						</td>
					</tr>
					<tr> 
				 		<td> 
							<table class="contenidoSolapas" width="100%" border="0" cellpadding="0" cellspacing="0">
								<%
								solapas = 0;
							 	//Si es Persona Física
							 	if ( (  P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA.equals(mod01y02.getClase()) ||
							 			P06BConstantes.P06B_AGENTEVINCULADO_FISICA.equals(mod01y02.getClase()) ||
							 			P06BConstantes.P06B_REASEGUROS_FISICA.equals(mod01y02.getClase())  )
							 		  &&
							 		  previoAlSeguimiento ){
								%>
									<!-- Datos Modelo 0.1 -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo01.inc" %>											
									  </td>	 
									</tr>
									<%solapas++;%>
		
								<%
								//Si es Persona Jurídica
								}else if ( (  P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase()) ||
												P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA.equals(mod01y02.getClase()) ||
												P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase()) ||
												P06BConstantes.P06B_OPERADORBANCA_VINCULADO.equals(mod01y02.getClase()) ||
												P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO.equals(mod01y02.getClase()) )
											&&
											previoAlSeguimiento ){
								%>
									<!-- Datos Modelo 0.2 -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo02.inc" %>											
									  </td>	 
									</tr>
									<%
									solapas++;
								}
							 	%>
								
								<!-- Datos Modelo 1 -->
								<tr id="ElemSolapa_<%=solapas%>">
								  <td>
										<%if (previoAlSeguimiento){%>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo1.inc" %>											
										<%} else {%>
											<%@ include file="/p06bDECJSP/modDecr12jun10SoloSeguiJSP/p06bDECModelo1.inc" %>											
										<%}%>
								  </td>	 
								</tr>
								<%solapas++;%>
								
								<%
								if (previoAlSeguimiento){
								%>
									<!-- Datos Modelo 2.1 -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo21.inc" %>											
									  </td>	 
									</tr>
									<%
									solapas++;
								}
							 	%>
								
								<!-- Datos Modelo 2.2 -->
								<tr id="ElemSolapa_<%=solapas%>">
								  <td>
										<%if (previoAlSeguimiento){%>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo22.inc" %>											
										<%} else {%>
											<%@ include file="/p06bDECJSP/modDecr12jun10SoloSeguiJSP/p06bDECModelo22.inc" %>											
										<%}%>
								  </td>	 
								</tr>
								<%solapas++;%>
								
								<%
								if (previoAlSeguimiento){
								%>
									<!-- Datos Modelo 2.3 -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECModelo23.inc" %>											
									  </td>	 
									</tr>
									<%
									solapas++;
								}
							 	%>
								
								 <%
								 	//Si es corredor de seguros o reaseguros. Persona Física
								 	if ( (  P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA.equals(mod01y02.getClase()) ||
								 			P06BConstantes.P06B_REASEGUROS_FISICA.equals(mod01y02.getClase()) )
								 		&&
								 		previoAlSeguimiento ){
									%>
										<!-- Datos Modelo 3.1 -->
										<tr id="ElemSolapa_<%=solapas%>">
										  <td>
												<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECMod31.inc" %>											
										  </td>	 
										</tr>

			
									<%
									solapas++;
									//Si es correduría de seguros o reaseguros. Persona Jurídica
									}else if ( P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_REASEGUROS_JURIDICA.equals(mod01y02.getClase())
										|| P06BConstantes.P06B_CORREDORES_TIPOPER_TODAS.equals(mod01y02.getClase()) ){
									%>
										<%
										if (previoAlSeguimiento){
										%>
											<!-- Datos Modelo 3.2 -->
											<tr id="ElemSolapa_<%=solapas%>">
											  <td>
													<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECMod32.inc" %>											
											  </td>	 
											</tr>
											<%
											solapas++;
										}
									 	%>
										 
										 <!-- Datos Modelo 3.3 -->
										 <tr id="ElemSolapa_<%=solapas%>">
										  <td>
												<%if (previoAlSeguimiento){%>
													<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECMod33.inc" %>											
												<%} else {%>
													<%@ include file="/p06bDECJSP/modDecr12jun10SoloSeguiJSP/p06bDECMod33.inc" %>											
												<%}%>
										  </td>	 
										</tr>

										
									<%
									solapas++;
									//Si es Vinculado
									}else if ( (  P06BConstantes.P06B_AGENTEVINCULADO_FISICA.equals(mod01y02.getClase()) ||
													P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA.equals(mod01y02.getClase()) ||
													P06BConstantes.P06B_OPERADORBANCA_VINCULADO.equals(mod01y02.getClase()) )
												&&
												previoAlSeguimiento){
									%>
										<!-- Datos Modelo 3 Vinculado -->
										<tr id="ElemSolapa_<%=solapas%>">
										  <td>
												<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECMod3Vinc.inc" %>											
										  </td>	 
										</tr>
										<%
										solapas++;
									}
								 	%>
								
								
								<%
								if (previoAlSeguimiento){
								%>
									<!-- Datos Calculo Valor Añadido -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECCalcValorAnad.inc" %>											
									  </td>	 
									</tr>
									<% solapas++; %>
									
									<!-- Justificantes Adjuntos -->
									<tr id="ElemSolapa_<%=solapas%>">
									  <td>
											<%@ include file="/p06bDECJSP/modDecr12jun10JSP/p06bDECJustifAdjun.inc" %>											
									  </td>	 
									</tr>
								<%} %>
							</table>
				 		</td>
					</tr>
				<!-- Fin de la tabla contenidoSolapas -->
				</FORM>
	      	</div>
	      	<!-- Fin Codigo propio pantalla -->
	      </td>
	    </tr>
	     <tr> 
	      <td height="20"></td>
	    </tr>
  </TABLE>
<!--Fin Aqui va el cuerpo de la página -->
</div>
<%@ include file="/p06bComunJSP/p06bPie.inc"%>
</div>

<script>
	//<!--
	if (<%=previoAlSeguimiento%>){
		fActivaSolapa(document.FormDECMostrar.numPest.value);
		inicializa();
	}else{
		fActivaSolapa(<%=request.getParameter("pestana")%>);
	}
	inicializa();
	//-->
</script>
</body>
</html>